PHP SDK 2.0 Installation via PECL failed


#1

Hi,

I try ti install PHP library via pecl and I get this error:

/usr/bin/ld: cannot find -lssl

Do you have any idea ?

I have:
php 5.5.18
Couchbase 3.0.0
GCC as compiler
cent os 6.6


#2

yum install openssl-devel


#3

Great it works.

Thanks a lot.


#4

Hi, I wouldn’t open a new bug so I’m just writing here.
I’m trying to install couchbase using pecl and i get those errors:

checking libcouchbase/couchbase.h usability… no
checking libcouchbase/couchbase.h presence… no
checking for libcouchbase/couchbase.h… no
configure: error: the couchbase extension requires libcouchbase
ERROR: `/private/tmp/pear/install/couchbase/configure’ failed

I’ve previously installed libcouchbase (using brew) as you can see below:

/ valmiki$ brew list
autoconf libcouchbase libevent openssl
brew install libcouchbase
Warning: libcouchbase-2.4.7 already installed

Please help me to get me out of here!

php 5.6
Futon on Apache CouchDB 1.6.1
osx 10.10.2 Yosemite